#ifndef __UREC_H
#define __UREC_H

#include <stdio.h>
#include <stdlib.h>

#include "config.h"
#include "g_types.h"


#define UREC_SIZE 585
#define UREC_HO 1
#define UREC_CO 385
#define UREC_DO 391
#define UREC_DKO 395
#define UREC_UO 403
#define UREC_UKO 407
#define UREC_PO 411

// eventually this should be expanded to handle the entire user record
typedef struct urec
{
	char handle[31];
	int32 calls;
	int32 ul;
	int32 ulk;
	int16 dl;
	int32 dlk;
	int32 posts;
} urec;

int load_urec(FILE *fp, struct urec *u, const int32 idx);

int getbytes(FILE *fp, long pos, char *buf, int n);

#endif