#ifndef __G_TYPES_H
#define __G_TYPES_H

/* MSVC++ */
// integral values
typedef signed char			byte;		// 1 byte
typedef unsigned char		ubyte;		// 1 byte
typedef signed short		word;		// 2 bytes
typedef unsigned short		uword;		// 2 bytes
typedef signed int			dword;		// 4 bytes
typedef unsigned int		udword;		// 4 bytes

typedef signed char 		int8;		// 1 byte
typedef unsigned char		uint8;		// 1 byte
typedef signed short		int16;		// 2 bytes
typedef unsigned short		uint16;		// 2 bytes
typedef signed int			int32;		// 4 bytes
typedef unsigned int		uint32;		// 4 bytes
typedef signed __int64		int64;		// 8 bytes
typedef unsigned __int64	uint64;		// 8 bytes

typedef unsigned char		uchar;		// 1 byte

// floating point values
typedef float				float32;	// 4 bytes
typedef double				float64;	// 8 bytes
typedef long double			float80;	// 10 bytes


/* GCC Linux/i386
// integral values
typedef signed char			byte;
typedef unsigned char		ubyte;
typedef signed short		word;
typedef unsigned short		uword;
typedef signed long			dword;
typedef unsigned long		udword;

typedef signed char			int8;
typedef unsigned char		uint8;
typedef signed short		int16;
typedef unsigned short		uint16;
typedef signed int			int32;
typedef unsigned int		uint32;
typedef signed long long	int64;
typedef unsigned long long	uint64;

typedef unsigned char		uchar;

// floating point values
typedef float				float32;
typedef double				float64;
typedef long double			float80;
*/

/* Borland TC++ 3.0/DOS
// integral values
typedef signed char		byte;
typedef unsigned char		ubyte;
typedef signed int		word;
typedef unsigned int		uword;
typedef signed long		dword;
typedef unsigned long		udword;

typedef signed char		int8;
typedef unsigned char		uint8;
typedef signed int		int16;
typedef unsigned int		uint16;
typedef signed long		int32;
typedef unsigned long		uint32;

typedef unsigned char		uchar;

// floating point values
typedef float				float32;
typedef double				float64;
typedef long double			float80;
*/
#endif